//
// Created by Felix on 24-5-16.
//

#ifndef GAZE_CAMERAMODEL_HPP
#define GAZE_CAMERAMODEL_HPP

#include "oatpp/core/Types.hpp"
#include "oatpp/core/macro/codegen.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class CameraModel : public oatpp::DTO {

    DTO_INIT(CameraModel, DTO)

    DTO_FIELD(Int32, id); //
    DTO_FIELD(String, title); //
    DTO_FIELD(String, pullUrl, "pull_url"); //
    DTO_FIELD(String, pushUrl, "push_url"); //
    DTO_FIELD(String, model); //
    DTO_FIELD(Int8, status); //
    DTO_FIELD(Int64, createTime, "create_time"); //
    DTO_FIELD(Int64, updateTime, "update_time"); //
    DTO_FIELD(Int64, deleteTime, "delete_time"); //
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_CAMERAMODEL_HPP
