//
// Created by Felix on 24-5-16.
//

#ifndef GAZE_CAMERAUPDATEDETAILSDTO_HPP
#define GAZE_CAMERAUPDATEDETAILSDTO_HPP

#include "oatpp/core/macro/codegen.hpp"
#include "oatpp/core/Types.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class CameraUpdateDetailsDto : public oatpp::DTO {

    DTO_INIT(CameraUpdateDetailsDto, DTO)

    Int32 cameraId;

    DTO_FIELD_INFO(title) {
        info->description = "标题";
        info->required = true;
    } // Title
    DTO_FIELD(String, title);

    DTO_FIELD_INFO(pullUrl) {
        info->description = "拉流URL";
        info->required = true;
    } // Pull url
    DTO_FIELD(String, pullUrl, "pull_url");

    DTO_FIELD_INFO(pushUrl) {
        info->description = "推流URL";
        info->required = true;
    } // Push url
    DTO_FIELD(String, pushUrl, "push_url");

    DTO_FIELD_INFO(model) {
        info->description = "检测模型";
        info->required = true;
    } // Model
    DTO_FIELD(String, model);

    DTO_FIELD_INFO(status) {
        info->description = "状态";
        info->required = true;
    } // Status
    DTO_FIELD(Int8, status);
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_CAMERAUPDATEDETAILSDTO_HPP
