//
// Created by Felix on 24-4-26.
//

#ifndef GAZE_COMMON_HPP
#define GAZE_COMMON_HPP

#include <string>
#include <uuid.h>
#include <cryptopp/sha.h>
#include <oatpp/core/Types.hpp>

std::string uuidString();

oatpp::String &trim(
        oatpp::String &string, const oatpp::String &characters = " \n\r\t\v\x00"
);

std::string &trim(
        std::string &str, const std::string &characters = " \n\r\t\v\x00"
);

std::vector<std::string> splitAndRemoveEmpty(const std::string &str);

std::string joinWithSpaces(const std::vector<std::string> &lines);

std::string sha256(std::string data);

int64_t getCurrentTime();

#endif //GAZE_COMMON_HPP
