//
// Created by Felix on 24-4-26.
//

#ifndef GAZE_LOGINLOGMODEL_HPP
#define GAZE_LOGINLOGMODEL_HPP

#include "oatpp/core/Types.hpp"
#include "oatpp/core/macro/codegen.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class LoginLogModel : public oatpp::DTO {

    DTO_INIT(LoginLogModel, DTO)

    DTO_FIELD(Int32, id); //
    DTO_FIELD(String, userId, "user_id"); //
    DTO_FIELD(String, token); //
    DTO_FIELD(String, resourceToken, "resource_token"); //
    DTO_FIELD(String, refreshToken, "refresh_token"); //
    DTO_FIELD(Int64, createTime, "create_time"); //
    DTO_FIELD(Int64, updateTime, "update_time"); //
    DTO_FIELD(Int64, deleteTime, "delete_time"); //
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_LOGINLOGMODEL_HPP
