//
// Created by Felix on 24-5-16.
//

#ifndef GAZE_CAMERACREATEDTO_HPP
#define GAZE_CAMERACREATEDTO_HPP

#include "oatpp/core/macro/codegen.hpp"
#include "oatpp/core/Types.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class CameraCreateDto : public oatpp::DTO {

    DTO_INIT(CameraCreateDto, DTO)

    DTO_FIELD_INFO(title) {
        info->description = "标题";
        info->required = true;
    } // Title
    DTO_FIELD(String, title);

    DTO_FIELD_INFO(pullUrl) {
        info->description = "拉流URL";
        info->required = true;
    } // Pull URL
    DTO_FIELD(String, pullUrl, "pull_url");

    DTO_FIELD_INFO(pushUrl) {
        info->description = "推流URL";
        info->required = true;
    } // Push URL
    DTO_FIELD(String, pushUrl, "push_url");

    DTO_FIELD_INFO(model) {
        info->description = "使用的模型";
        info->required = true;
    } // Push URL
    DTO_FIELD(String, model);
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_CAMERACREATEDTO_HPP
