//
// Created by Felix on 24-4-26.
//

#ifndef GAZE_SIGNINDTO_HPP
#define GAZE_SIGNINDTO_HPP

#include "oatpp/core/macro/codegen.hpp"
#include "oatpp/core/Types.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class SignInDto : public oatpp::DTO {

    DTO_INIT(SignInDto, DTO)

    DTO_FIELD_INFO(username) {
        info->description = "用户名";
        info->required = true;
    } // Username
    DTO_FIELD(String, username, "username");//
    DTO_FIELD_INFO(password) {
        info->description = "密码";
        info->required = true;
    } // Password
    DTO_FIELD(String, password, "password");//
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_SIGNINDTO_HPP
