//
// Created by Felix on 24-4-28.
//

#ifndef GAZE_USERCREATEDTO_HPP
#define GAZE_USERCREATEDTO_HPP

#include "oatpp/core/macro/codegen.hpp"
#include "oatpp/core/Types.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class UserCreateDto : public oatpp::DTO {

    DTO_INIT(UserCreateDto, DTO)

    DTO_FIELD_INFO(username) {
        info->description = "用户名";
        info->required = true;
    } // Username
    DTO_FIELD(String, username);

    DTO_FIELD_INFO(password) {
        info->description = "密码";
        info->required = true;
    } // Password
    DTO_FIELD(String, password);

    DTO_FIELD_INFO(role) {
        info->description = "角色";
        info->required = true;
    } // Role
    DTO_FIELD(Enum<Role>::AsString, role) = Role::GUEST;
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_USERCREATEDTO_HPP
