//
// Created by Felix on 24-5-7.
//

#ifndef GAZE_USERUPDATEDETAILSDTO_HPP
#define GAZE_USERUPDATEDETAILSDTO_HPP

#include "oatpp/core/macro/codegen.hpp"
#include "oatpp/core/Types.hpp"

#include OATPP_CODEGEN_BEGIN(DTO)

class UserUpdateDetailsDto : public oatpp::DTO {

    DTO_INIT(UserUpdateDetailsDto, DTO)

    Int32 userId;

    DTO_FIELD_INFO(username) {
        info->description = "用户名";
        info->required = true;
    } // Username
    DTO_FIELD(String, username);

    DTO_FIELD_INFO(role) {
        info->description = "角色";
        info->required = true;
    } // Role
    DTO_FIELD(Enum<Role>::AsString, role) = Role::GUEST;

    DTO_FIELD_INFO(status) {
        info->description = "状态";
        info->required = true;
    } // Status
    DTO_FIELD(Int8, status);
};

#include OATPP_CODEGEN_END(DTO)

#endif //GAZE_USERUPDATEDETAILSDTO_HPP
