//
// Created by Felix on 24-4-29.
//

#ifndef GAZE_LOCALIZATIONSERVICE_HPP
#define GAZE_LOCALIZATIONSERVICE_HPP

#include <iostream>
#include <fstream>
#include <nlohmann/json.hpp>

class LocalizationService {
private:
    nlohmann::json langDataZh{};
    nlohmann::json langDataEn{};
public:
    LocalizationService();

    std::string getText(const std::string &key, const std::string &language = "en");

    std::string getHttpMessage(const std::string &key, const std::string &language = "en");
};

#endif //GAZE_LOCALIZATIONSERVICE_HPP
